/*
  This software is the confidential and proprietary information of
  Smardec. You shall not disclose or distribute such Confidential Information.
  This software shall not be integrated, copied (partially or fully),
  or reverse engineered into any other software, program, or code that is
  not intended for Smardec. You shall use it only in accordance with the terms
  of the license agreement you entered into with Smardec.

  Copyright (C) 2003-2006 Smardec. All rights reserved.

  http://www.smardec.com

*/

package com.smardec.demo.asc;

import javax.swing.*;
import java.util.*;
import java.awt.*;

public interface Demoable {
    public static final int STATE_NONE = 0;
    public static final int STATE_NEW = 1;
    public static final int STATE_UPDATED = 2;

    public String getID();

    public String getCaption();

    public Vector getContentDescriptions();

    public int getState();

    public JPanel getDemoPanel();

    public JPanel getOptionPanel();

    public JPanel getDescriptionPanel();

    public void init(Component parentFrame);

    public void deinit();

    public void demoWillBecomeVisible();

    public void demoWillBecomeInVisible();

    public void demoBecomeVisible();

    public void demoBecomeInVisible();

    public void applicationWillBeClose();
}
